layui.config({
    base: '../../js/layuiModules/',   // 第三方模块所在目录
    version: 'v1.6.4' // 插件版本号
}).extend({
    soulTable: 'notice,layNotify',	// 模块
});
let form;
var tree;
var table;
var notice;
var layNotify;
var oldKeyWord = "";
var keyWord = "";
var dictKey = "";
var deviceName = "";
var orgId = "";
var statusId = "";
var volLevelIds = "";
const token = localStorage.getItem("token");
let pers = checkPermission();
$("#resetBt").click(function(){
    table.reload('menuTable', {
        url: ctxPath + '/dataIndex/getToolList'
        , method: 'post' //方式默认是get
        , page: true
        , where: {
            keyWord: '',
            dictKey: '',
            deviceName: '',
        } //设定异步数据接口的额外参数
    });
    $("#keyWord").val('');
    $("#deviceName").val('');
    getProcessEquipment(form, '');
})
$("#searchBt").click(function(){
    oldKeyWord = $("#keyWord").val();
    dictKey = $("#dictKey").val();
    deviceName = $("#deviceName").val();
    table.reload('menuTable', {
        url: ctxPath + '/dataIndex/getToolList'
        , method: 'post' //方式默认是get
        , page: true
        , where: {
            keyWord: oldKeyWord,
            dictKey: dictKey,
            deviceName: deviceName,
        } //设定异步数据接口的额外参数
    });
    $("#keyWord").val(oldKeyWord);
    $("#dictKey").val(dictKey);
    $("#deviceName").val(deviceName);
})
$("#addBt").click(function(){
    localStorage.setItem("id","")
    layerOpenFormForSencond("新增","./MachineToolForm.html");
})
$("#exportBt").click(function(){
    keyWord = $("#keyWord").val();
    dictKey = $("#dictKey").val();
    deviceName = $("#deviceName").val();
    window.location.href = ctxPath + "/dataIndex/exportPhysicalCheckResult?"
        +"keyWord=" + keyWord
        + "&dictKey=" + dictKey
        + "&deviceName=" + deviceName
        + "&type=" + '1'
        + "&token=" + token; //下载文件
})
$("#importBt").click(function(){
    toLeadInto("导入","../toLeadInto/machineToolImportForm.html");
})

layui.use(['table', 'form','notice', 'layNotify'], function () {
    table = layui.table;
    form = layui.form;
    tree = layui.tree;
    notice = layui.notice;
    layNotify = layui.layNotify;

    if ($.inArray('sysTool:add', pers) < 0) {
        document.getElementById('addDiv').remove();
    }

    //渲染表格
    table.render({
        elem: '#demo'
        , url: ctxPath + '/dataIndex/getToolList' //数据接口
        , method: 'post' //方式默认是get
        , toolbar: 'default' //开启工具栏，此处显示默认图标，可以自定义模板，详见文档
        , where: {} //post请求必须加where ，post请求需要的参数
        , cellMinWidth: 80
        , cols: [[ //表头
            {
                field: 'number', width:80,title: '序号', align: 'center', type: 'numbers'
            }
            , {field: 'toolsProcesName', align: 'center', title: '工序'}
            , {field: 'toolsName', align: 'center', title: '设备名称'}
            , {field: 'toolsModel', align: 'center', title: '规格型号'}
            , {field: 'toolsUnit', align: 'center', title: '单位'}
            , {field: 'toolsNum', align: 'center', title: '总数量'}
            , {field: 'useNum', align: 'center', title: '正在使用数量'}
            , {field: '', align: 'center', title: '库存数量',templet: function (d) {
                    return d.toolsNum-d.useNum;
                }
            }
            , {field: 'notes', align: 'center', title: '备注'}
            , {
                fixed: 'right', width:180, title: '操作', align: 'center', templet: d => {
                    let text = "";
                    text +='<a lay-event="view" style="color: #009688;cursor: pointer;font-size: 15px">详情</a>';
                    if ($.inArray('sysTool:update', pers) > 0) {
                        text +='<span lay-event="com" style="font-size: 15px;"> | </span>';
                        text +='<a lay-event="update" style="color: #009688;cursor: pointer;font-size: 15px"  id="updateBtn">修改</a>';
                    }
                    if ($.inArray('sysTool:del', pers) > 0) {
                        text +='<span lay-event="com" style="font-size: 15px;"> | </span>';
                        text +='<a lay-event="del" style="color: #009688;cursor: pointer;font-size: 15px"  id="deleteBtn" >删除</a>';
                    }
                    return text;
                }
            }

        ]]
        , id: 'menuTable'
        , page: true //开启分页
        , loading: true //数据加载中。。。
        , limits: [5, 10, 20]  //一页选择显示3,5或10条数据
        , limit: 10  //一页显示5条数据
        , response: {
            statusCode: 200 //规定成功的状态码，默认：0
        }, parseData: function (res) { //将原始数据解析成 table 组件所规定的数据，res为从url中get到的数据
            let result;
            if (res.data !== '' && res.data != null && res.data !== "null") {
                if (this.page.curr) {
                    result = res.data.slice(this.limit * (this.page.curr - 1), this.limit * this.page.curr);
                } else {
                    result = res.data.slice(0, this.limit);
                }
            }
            return {
                "code": res.code, //解析接口状态
                "msg": res.msg, //解析提示文本
                "count": res.count, //解析数据长度
                "data": result, //解析数据列表
            };
        }
        ,toolbar: "#toolbar"
    });

    //监听工具条
    table.on('tool(test)', function (obj) {
        var data = obj.data; //当前行数据
        console.log(data)
        var rowIndex = obj.index;
        var layEvent = obj.event; //当前点击的事件名
        if (layEvent === 'view') {
            localStorage.setItem("toolsId",data.id)
            layerOpenProgressView("详情","../../pages/machineTool/toolDetailForm.html");
        }
        if (layEvent === 'update') {
            localStorage.setItem('id',data.id);
            layerOpenFormForSencond("修改","./MachineToolForm.html");
        }
        if (layEvent === 'del') {
            layer.confirm('确定要删除吗？', {
                btn : [ '确定', '取消' ]
            }, function() {
                ajaxCommonMethod('/dataIndex/delToolsById',{'id': data.id});

                table.reload('menuTable', {
                    url: ctxPath + '/dataIndex/getToolList'
                    , method: 'post' //方式默认是get
                    , page: true
                    , where: {
                        keyWord: '',
                        dictKey: '',
                        deviceName: '',
                    } //设定异步数据接口的额外参数
                });
            });
        }
    });

// 单元格编辑事件
    table.on('edit(test)', function (obj) {
        var field = obj.field; // 得到字段
        var value = obj.value; // 得到修改后的值
        var oldValue = obj.oldValue;
        var data = obj.data; // 得到所在行所有键值
        var update = {};

        // 值的校验
        if (field === 'idNumber') {
            if (value.length != 18) {
                update[field] = oldValue;
                obj.update(update);
                layer.tips('输入的身份证不正确，请重新编辑', this, {tips: 1});
                return obj.reedit(); // 重新编辑 -- v2.8.0 新增
            } else {
                update[field] = value;
                obj.update(update);
            }
        }
        // 编辑后续操作，如提交更新请求，以完成真实的数据更新
        // …
        layer.msg('编辑成功', {icon: 1});
    });
    getProcessEquipment(form, "");
});

function layerOpenProgressView(title,contentUrl){
    var index = layer.open({
        title: [title, 'color:#3B70A1;background-color:#E8ECEB;font-size:20px'],
        type: 2,
        content: contentUrl,
        area: ['90%', '95%'],
        maxmin: false,
        cancel:function (){
            table.reload('menuTable', {
                url: ctxPath + '/dataIndex/getToolList'
                , method: 'post' //方式默认是get
                , page: true
                , where: {} //设定异步数据接口的额外参数
            });
        }
    });

}

function reloadTip(tip,message,type){
    layNotify.notice({
        title: tip+"提示",
        type: type,
        message: message
    });
}